GraphSamplesTable
Date: 2012-07-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.graphtools.data
Class GraphSamplesTable

    java.lang.Object
      org.gcube.contentmanagement.graphtools.abstracts.SamplesTable
          org.gcube.contentmanagement.graphtools.data.GraphSamplesTable

    public class GraphSamplesTable

extends SamplesTable

Field Summary

Fields inherited from class org.gcube.contentmanagement.graphtools.abstracts.SamplesTable
`maxX, maxY, minX, minY`

Constructor Summary
`GraphSamplesTable()`
`GraphSamplesTable(java.util.List<> graph)`
`GraphSamplesTable(java.lang.String seriesName, java.util.List<java.lang.String> xLables, java.util.List<java.lang.Double> yValues, boolean invert)`

Method Summary
`void` | `addLabel(int i, java.lang.String label)`
`void` | `addSample(int i, int j, double value)`
`void` | `addSampleRow(java.lang.String label, double... values)`
`java.lang.String` | `getClassification(int d)`
`java.util.List<>` | `getGraph()`
`int` | `getNumOfAttributes()`
`int` | `getNumOfDataRows()`
`double` | `getValue(int d, int a)`

Methods inherited from class org.gcube.contentmanagement.graphtools.abstracts.SamplesTable
`calculateBounds, generateExampleSet, generateSampleTable, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphSamplesTable

    public GraphSamplesTable(java.util.List<> graph)

### GraphSamplesTable

    public GraphSamplesTable()

### GraphSamplesTable

    public GraphSamplesTable(java.lang.String seriesName,
                             java.util.List<java.lang.String> xLables,
                             java.util.List<java.lang.Double> yValues,
                             boolean invert)

Method Detail

### getNumOfAttributes

    public int getNumOfAttributes()

  Specified by:
    `getNumOfAttributes` in class `SamplesTable`

### getNumOfDataRows

    public int getNumOfDataRows()

  Specified by:
    `getNumOfDataRows` in class `SamplesTable`

### getValue

    public double getValue(int d,
                           int a)

  Specified by:
    `getValue` in class `SamplesTable`

### getClassification

    public java.lang.String getClassification(int d)

  Specified by:
    `getClassification` in class `SamplesTable`

### addLabel

    public void addLabel(int i,
                         java.lang.String label)

  Specified by:
    `addLabel` in class `SamplesTable`

### addSample

    public void addSample(int i,
                          int j,
                          double value)

  Specified by:
    `addSample` in class `SamplesTable`

### addSampleRow

    public void addSampleRow(java.lang.String label,
                             double... values)

  Specified by:
    `addSampleRow` in class `SamplesTable`

### getGraph

    public java.util.List<> getGraph()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD